Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model.util
Class GroupedGridSwitch<T>

    java.lang.Object
      org.eclipse.emf.ecore.util.Switch<T>
          org.eclipse.emf.ecp.view.spi.groupedgrid.model.util.GroupedGridSwitch<T>

    public class GroupedGridSwitch<T>

extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

Since:
  1.2
See Also:
  `VGroupedGridPackage`

Constructor Summary
`GroupedGridSwitch()` Creates an instance of the switch.

Method Summary
`T` | `caseAttachment(VAttachment object)` Returns the result of interpreting the object as an instance of 'Attachment'.
`T` | `caseContainedElement(VContainedElement object)` Returns the result of interpreting the object as an instance of 'Contained Element'.
`T` | `caseElement(VElement object)` Returns the result of interpreting the object as an instance of 'Element'.
`T` | `caseGroup(VGroup object)` Returns the result of interpreting the object as an instance of 'Group'.
`T` | `caseGroupedGrid(VGroupedGrid object)` Returns the result of interpreting the object as an instance of 'Grouped Grid'.
`T` | `caseRow(VRow object)` Returns the result of interpreting the object as an instance of 'Row'.
`T` | `caseSpan(VSpan object)` Returns the result of interpreting the object as an instance of 'Span'.
`T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

Methods inherited from class org.eclipse.emf.ecore.util.Switch
`doSwitch`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupedGridSwitch

    public GroupedGridSwitch()

  Creates an instance of the switch.

Method Detail

### caseGroupedGrid

    public T caseGroupedGrid(VGroupedGrid object)

  Returns the result of interpreting the object as an instance of 'Grouped Grid'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Grouped Grid'.
  See Also:
    `doSwitch(EObject)`

### caseGroup

    public T caseGroup(VGroup object)

  Returns the result of interpreting the object as an instance of 'Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Group'.
  See Also:
    `doSwitch(EObject)`

### caseRow

    public T caseRow(VRow object)

  Returns the result of interpreting the object as an instance of 'Row'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Row'.
  See Also:
    `doSwitch(EObject)`

### caseSpan

    public T caseSpan(VSpan object)

  Returns the result of interpreting the object as an instance of 'Span'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Span'.
  See Also:
    `doSwitch(EObject)`

### caseElement

    public T caseElement(VElement object)

  Returns the result of interpreting the object as an instance of 'Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Element'.
  See Also:
    `doSwitch(EObject)`

### caseContainedElement

    public T caseContainedElement(VContainedElement object)

  Returns the result of interpreting the object as an instance of 'Contained Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Contained Element'.
  See Also:
    `doSwitch(EObject)`

### caseAttachment

    public T caseAttachment(VAttachment object)

  Returns the result of interpreting the object as an instance of 'Attachment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Attachment'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Overrides:
    `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.